package com.skywang.control;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;
import android.widget.ZoomControls;

public class ZoomControlsTest extends Activity {

	private static int pauseSize= 14;
	private ZoomControls mZC;
	private TextView mTvShow;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.zoom_controls_test);
		

		mTvShow = (TextView)findViewById(R.id.tv_show);
		mZC = (ZoomControls)findViewById(R.id.zc_one);
		//开启ZoomControls放大功能
		mZC.setIsZoomInEnabled(true);
		// 开启ZoomControls缩小功能
		mZC.setIsZoomOutEnabled(true);
        //图片放大
		mZC.setOnZoomInClickListener(new OnClickListener() {
            public void onClick(View v) {
				pauseSize += 2;
			    mTvShow.setTextSize(pauseSize);
            }
        });
        //图片缩小
		mZC.setOnZoomOutClickListener(new OnClickListener() {
            public void onClick(View v) {
				pauseSize -= 2;
			    mTvShow.setTextSize(pauseSize);
            }
        });
	}


}
